diff --git a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentHealthBar.java b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentHealthBar.java
index 312cf9a30..fced9f1d9 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentHealthBar.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentHealthBar.java
@@ -3,6 +3,8 @@ package net.minecraft.client.gui.hud.component;
 import net.minecraft.client.gui.Gui;
 import net.minecraft.client.gui.hud.HudIngame;
 import net.minecraft.client.gui.hud.component.layout.Layout;
+import net.minecraft.client.render.renderer.GLRenderer;
+import net.minecraft.client.render.renderer.State;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.BlockLogicEdible;
@@ -11,7 +13,6 @@ import net.minecraft.core.item.ItemFood;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.player.gamemode.Gamemode;
 import net.minecraft.core.util.phys.HitResult;
-import org.lwjgl.opengl.GL11;
 
 import java.util.Random;
 
@@ -34,8 +35,8 @@ public class HudComponentHealthBar
         int y = this.getLayout().getComponentY(this, ySizeScreen);
 
         // Setup rendering
-        GL11.glColor4f(1.0f, 1.0f, 1.0f, 1.0f); // Reset color
-        GL11.glDisable(GL11.GL_BLEND);
+        GLRenderer.setColor4f(1.0f, 1.0f, 1.0f, 1.0f); // Reset color
+        GLRenderer.enableState(State.BLEND);
 
         boolean heartsFlash = (mc.thePlayer.heartsFlashTime / 3) % 2 == 1;
         if (mc.thePlayer.heartsFlashTime < 10) {
@@ -113,8 +114,8 @@ public class HudComponentHealthBar
         int y = layout.getComponentY(this, ySizeScreen);
 
         // Setup rendering
-        GL11.glColor4f(1.0f, 1.0f, 1.0f, 1.0f); // Reset color
-        GL11.glDisable(GL11.GL_BLEND);
+        GLRenderer.setColor4f(1.0f, 1.0f, 1.0f, 1.0f); // Reset color
+        GLRenderer.enableState(State.BLEND);
 
         int health = 11;
         for (int i = 0; i < 10; i++) {
diff --git a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentHeldItemCount.java b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentHeldItemCount.java
index ad85cf818..8ead0c6b7 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentHeldItemCount.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentHeldItemCount.java
@@ -1,22 +1,20 @@
 package net.minecraft.client.gui.hud.component;
 
-import net.minecraft.client.Minecraft;
 import net.minecraft.client.gui.Gui;
 import net.minecraft.client.gui.hud.HudIngame;
 import net.minecraft.client.gui.hud.component.layout.Layout;
 import net.minecraft.client.render.Lighting;
+import net.minecraft.client.render.LightmapHelper;
 import net.minecraft.client.render.item.model.ItemModelDispatcher;
-import net.minecraft.client.render.tessellator.Tessellator;
+import net.minecraft.client.render.renderer.GLRenderer;
+import net.minecraft.client.render.renderer.State;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.item.ItemStack;
-import org.lwjgl.opengl.GL11;
-import org.lwjgl.opengl.GL12;
 
-import java.awt.*;
+import java.awt.Color;
 
 public class HudComponentHeldItemCount
-    extends HudComponentMovable
-{
+    extends HudComponentMovable {
     private static final ItemStack PREVIEW_ITEM = new ItemStack(Blocks.COBBLE_BASALT, 53);
 
     public HudComponentHeldItemCount(String key, Layout layout) {
@@ -42,47 +40,39 @@ public class HudComponentHeldItemCount
         int yy = y + 3;
 
         ItemStack heldItemStack = mc.thePlayer.inventory.getCurrentItem();
-        if (heldItemStack != null)
-        {
+        if (heldItemStack != null) {
             boolean renderItem;
 
-            if (heldItemStack.isItemStackDamageable())
-            {
+            if (heldItemStack.isItemStackDamageable()) {
                 renderItem = true;
                 float durability = (heldItemStack.getMaxDamage() - heldItemStack.getMetadata()) / (float) heldItemStack.getMaxDamage();
 
-                final int color = 0xFF000000 + Color.HSBtoRGB(durability/3F, 1f, 1f);
+                final int color = 0xFF000000 + Color.HSBtoRGB(durability / 3F, 1f, 1f);
                 int remainingDurability = (heldItemStack.getMaxDamage() - heldItemStack.getMetadata()) + 1;
-                mc.font.render(Tessellator.instance, remainingDurability, xx + 18, yy + 4).setShadow().setColor(color).call();
-            }
-            else
-            {
+                mc.font.render(remainingDurability, xx + 18, yy + 4).setShadow().setColor(color).call();
+            } else {
                 int itemCount = 0;
                 int stackCount = 0;
-                for (int i = 0; i < mc.thePlayer.inventory.getContainerSize(); i++)
-                {
+                for (int i = 0; i < mc.thePlayer.inventory.getContainerSize(); i++) {
                     ItemStack itemStack = mc.thePlayer.inventory.getItem(i);
-                    if (itemStack != null && itemStack.itemID == heldItemStack.itemID && itemStack.getMetadata() == heldItemStack.getMetadata())
-                    {
+                    if (itemStack != null && itemStack.itemID == heldItemStack.itemID && itemStack.getMetadata() == heldItemStack.getMetadata()) {
                         itemCount += itemStack.stackSize;
                         stackCount++;
                     }
                 }
                 renderItem = stackCount >= 1;
 
-                if (renderItem)
-                {
-                    mc.font.render(Tessellator.instance, itemCount, xx + 18, yy + 4).setShadow().setColor(0xFFFFFFFF).call();
+                if (renderItem) {
+                    mc.font.render(itemCount, xx + 18, yy + 4).setShadow().setColor(0xFFFFFFFF).call();
                 }
             }
 
-            if (renderItem)
-            {
-                GL11.glEnable(GL11.GL_DEPTH_TEST);
-                GL11.glDisable(GL11.GL_BLEND);
-                GL11.glEnable(GL12.GL_RESCALE_NORMAL);
+            if (renderItem) {
+                GLRenderer.enableState(State.DEPTH_TEST);
+                GLRenderer.disableState(State.BLEND);
+//                GL11.glEnable(GL12.GL_RESCALE_NORMAL);
                 Lighting.enableInventoryLight();
-                ItemModelDispatcher.getInstance().getDispatch(heldItemStack).renderGui(Tessellator.instance, null, heldItemStack, xx, yy, 1f, 1f, partialTick);
+                ItemModelDispatcher.getInstance().getDispatch(heldItemStack).renderGui(GLRenderer.getTessellator(), null, heldItemStack, xx, yy, LightmapHelper.getLightmapCoord(15, 15), partialTick);
                 Lighting.disable();
             }
         }
@@ -99,13 +89,13 @@ public class HudComponentHeldItemCount
         ItemStack heldItemStack = PREVIEW_ITEM;
         int itemCount = heldItemStack.stackSize;
 
-        mc.font.render(Tessellator.instance, itemCount, xx + 18, yy + 4).setShadow().setColor(0xFFFFFFFF).call();
+        mc.font.render(itemCount, xx + 18, yy + 4).setShadow().setColor(0xFFFFFFFF).call();
 
-        GL11.glEnable(GL11.GL_DEPTH_TEST);
-        GL11.glDisable(GL11.GL_BLEND);
-        GL11.glEnable(GL12.GL_RESCALE_NORMAL);
+        GLRenderer.enableState(State.DEPTH_TEST);
+        GLRenderer.disableState(State.BLEND);
+//        GL11.glEnable(GL12.GL_RESCALE_NORMAL);
         Lighting.enableInventoryLight();
-        ItemModelDispatcher.getInstance().getDispatch(heldItemStack).renderGui(Tessellator.instance, null, heldItemStack, xx, yy, 1f, 1f, 0.0f);
+        ItemModelDispatcher.getInstance().getDispatch(heldItemStack).renderGui(GLRenderer.getTessellator(), null, heldItemStack, xx, yy, LightmapHelper.getLightmapCoord(15, 15), 0.0f);
         Lighting.disable();
     }
 }
diff --git a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentHotbar.java b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentHotbar.java
index 6f86881da..a57d71a1e 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentHotbar.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentHotbar.java
@@ -5,23 +5,23 @@ import net.minecraft.client.gui.Gui;
 import net.minecraft.client.gui.hud.HudIngame;
 import net.minecraft.client.gui.hud.component.layout.Layout;
 import net.minecraft.client.render.Lighting;
+import net.minecraft.client.render.LightmapHelper;
 import net.minecraft.client.render.Scissor;
 import net.minecraft.client.render.item.model.ItemModel;
 import net.minecraft.client.render.item.model.ItemModelDispatcher;
-import net.minecraft.client.render.tessellator.Tessellator;
+import net.minecraft.client.render.renderer.GLRenderer;
+import net.minecraft.client.render.renderer.State;
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.player.inventory.container.ContainerInventory;
-import org.lwjgl.opengl.GL11;
-import org.lwjgl.opengl.GL12;
 
 import static net.minecraft.client.Minecraft.HOTBAR_SWAP_ANIMATION_LENGTH_TICKS;
 
 public class HudComponentHotbar
     extends HudComponentMovable {
-    private static final ItemStack[] PREVIEW_ITEMS = new ItemStack[] {
+    private static final ItemStack[] PREVIEW_ITEMS = new ItemStack[]{
         new ItemStack(Blocks.STONE),
         new ItemStack(Blocks.COBBLE_STONE),
         new ItemStack(Blocks.BRICK_CLAY),
@@ -61,7 +61,7 @@ public class HudComponentHotbar
         ContainerInventory inv = mc.thePlayer.inventory;
 
         // Setup hotbar texture
-        GL11.glColor4f(1.0f, 1.0f, 1.0f, 1.0f); // Reset color
+        GLRenderer.setColor4f(1.0f, 1.0f, 1.0f, 1.0f); // Reset color
 
         // Render hotbar
         hud.drawGuiIcon(x + 5, y, 182, 22, TextureRegistry.getTexture("minecraft:gui/hud/hotbar"));
@@ -72,9 +72,9 @@ public class HudComponentHotbar
         hud.drawGuiIcon(x, y, 6, 22, coordinate);
 
         // Setup items
-        GL11.glEnable(GL11.GL_DEPTH_TEST);
-        GL11.glEnable(GL11.GL_BLEND);
-        GL11.glEnable(GL12.GL_RESCALE_NORMAL);
+        GLRenderer.enableState(State.DEPTH_TEST);
+        GLRenderer.enableState(State.BLEND);
+//        GL11.glEnable(GL12.GL_RESCALE_NORMAL);
         Lighting.enableInventoryLight();
         int lastHotbarStart = (mc.thePlayer.inventory.getHotbarOffset() + 27) % 36;
         int nextHotbarStart = (mc.thePlayer.inventory.getHotbarOffset() + 9) % 36;
@@ -88,30 +88,30 @@ public class HudComponentHotbar
                 // Draw last hotbar
                 for (int itemIndex = 0; itemIndex < 9; itemIndex++) {
                     int itemX = x + 8 + itemIndex * 20;
-                    int itemY = y + 3 - 22 + (int) (22 * (mc.hotbarSwapAnimationProgress - partialTick)/ HOTBAR_SWAP_ANIMATION_LENGTH_TICKS);
+                    int itemY = y + 3 - 22 + (int) (22 * (mc.hotbarSwapAnimationProgress - partialTick) / HOTBAR_SWAP_ANIMATION_LENGTH_TICKS);
                     renderInventorySlot(mc, itemIndex + lastHotbarStart, itemX, itemY, partialTick);
                 }
 
                 // Render hotbar items
-                GL11.glColor4f(1.0f, 1.0f, 1.0f, 1.0f); // Reset color
+                GLRenderer.setColor4f(1.0f, 1.0f, 1.0f, 1.0f); // Reset color
                 for (int itemIndex = 0; itemIndex < 9; itemIndex++) {
                     int itemX = x + 8 + itemIndex * 20;
-                    int itemY = y + 3 + (int) (22 * (mc.hotbarSwapAnimationProgress - partialTick)/ HOTBAR_SWAP_ANIMATION_LENGTH_TICKS);
+                    int itemY = y + 3 + (int) (22 * (mc.hotbarSwapAnimationProgress - partialTick) / HOTBAR_SWAP_ANIMATION_LENGTH_TICKS);
                     renderInventorySlot(mc, itemIndex + mc.thePlayer.inventory.getHotbarOffset(), itemX, itemY, partialTick);
                 }
             } else {
                 // Draw next hotbar
                 for (int itemIndex = 0; itemIndex < 9; itemIndex++) {
                     int itemX = x + 8 + itemIndex * 20;
-                    int itemY = y + 3 + 22 + (int) (22 * (mc.hotbarSwapAnimationProgress + partialTick)/ HOTBAR_SWAP_ANIMATION_LENGTH_TICKS);
+                    int itemY = y + 3 + 22 + (int) (22 * (mc.hotbarSwapAnimationProgress + partialTick) / HOTBAR_SWAP_ANIMATION_LENGTH_TICKS);
                     renderInventorySlot(mc, itemIndex + nextHotbarStart, itemX, itemY, partialTick);
                 }
 
                 // Render hotbar items
-                GL11.glColor4f(1.0f, 1.0f, 1.0f, 1.0f); // Reset color
+                GLRenderer.setColor4f(1.0f, 1.0f, 1.0f, 1.0f); // Reset color
                 for (int itemIndex = 0; itemIndex < 9; itemIndex++) {
                     int itemX = x + 8 + itemIndex * 20;
-                    int itemY = y + 3 + (int) (22 * (mc.hotbarSwapAnimationProgress + partialTick)/ HOTBAR_SWAP_ANIMATION_LENGTH_TICKS);
+                    int itemY = y + 3 + (int) (22 * (mc.hotbarSwapAnimationProgress + partialTick) / HOTBAR_SWAP_ANIMATION_LENGTH_TICKS);
                     renderInventorySlot(mc, itemIndex + mc.thePlayer.inventory.getHotbarOffset(), itemX, itemY, partialTick);
                 }
             }
@@ -119,7 +119,7 @@ public class HudComponentHotbar
 
         } else {
             // Render hotbar items
-            GL11.glColor4f(1.0f, 1.0f, 1.0f, 1.0f); // Reset color
+            GLRenderer.setColor4f(1.0f, 1.0f, 1.0f, 1.0f); // Reset color
             for (int itemIndex = 0; itemIndex < 9; itemIndex++) {
                 int itemX = x + 8 + itemIndex * 20;
                 int itemY = y + 3;
@@ -128,20 +128,19 @@ public class HudComponentHotbar
         }
 
 
-
         Scissor.disable();
         Lighting.disable();
 
         // Setup hotbar texture
-        GL11.glColor4f(1.0f, 1.0f, 1.0f, 1.0f); // Reset color
+        GLRenderer.setColor4f(1.0f, 1.0f, 1.0f, 1.0f); // Reset color
 
         // Render selector
         hud.drawGuiIcon((x + 4) + (inv.getCurrentItemIndex() % 9) * 20, y - 1, 24, 24, TextureRegistry.getTexture(mc.thePlayer.getHeldObject() == null ? "minecraft:gui/hud/hotbar_selection" : "minecraft:gui/hud/hotbar_selection_locked"));
 
-        GL11.glPushMatrix();
-        GL11.glTranslatef(0, 0, 1f);
-        hud.heldItemTooltipElement.updateAndRender(mc, x + 5 + 182/2, y - 29);
-        GL11.glPopMatrix();
+        GLRenderer.pushFrame();
+        GLRenderer.modelM4f().translate(0, 0, 1f);
+        hud.heldItemTooltipElement.updateAndRender(mc, x + 5 + 182 / 2, y - 29);
+        GLRenderer.popFrame();
     }
 
     @Override
@@ -150,7 +149,7 @@ public class HudComponentHotbar
         int y = layout.getComponentY(this, ySizeScreen);
 
         // Setup hotbar texture
-        GL11.glColor4f(1.0f, 1.0f, 1.0f, 1.0f); // Reset color
+        GLRenderer.setColor4f(1.0f, 1.0f, 1.0f, 1.0f); // Reset color
 
         // Render hotbar
         gui.drawGuiIcon(x + 5, y, 182, 22, TextureRegistry.getTexture("minecraft:gui/hud/hotbar"));
@@ -165,13 +164,13 @@ public class HudComponentHotbar
 
 
         // Setup items
-        GL11.glEnable(GL11.GL_DEPTH_TEST);
-        GL11.glEnable(GL11.GL_BLEND);
-        GL11.glEnable(GL12.GL_RESCALE_NORMAL);
+        GLRenderer.enableState(State.DEPTH_TEST);
+        GLRenderer.enableState(State.BLEND);
+//        GL11.glEnable(GL12.GL_RESCALE_NORMAL);
         Lighting.enableInventoryLight();
 
         // Render hotbar items
-        GL11.glColor4f(1.0f, 1.0f, 1.0f, 1.0f); // Reset color
+        GLRenderer.setColor4f(1.0f, 1.0f, 1.0f, 1.0f); // Reset color
         for (int itemIndex = 0; itemIndex < 9; itemIndex++) {
             int itemX = x + 8 + itemIndex * 20;
             int itemY = y + 3;
@@ -181,36 +180,32 @@ public class HudComponentHotbar
         Lighting.disable();
     }
 
-    private void renderInventorySlot(Minecraft mc, int itemIndex, int x, int y, float partialTick)
-    {
+    private void renderInventorySlot(Minecraft mc, int itemIndex, int x, int y, float partialTick) {
         ItemStack itemstack = mc.thePlayer.inventory.mainInventory[itemIndex];
-        if (itemstack == null)
-        {
+        if (itemstack == null) {
             return;
         }
         ItemModel itemModel = ItemModelDispatcher.getInstance().getDispatch(itemstack.getItem());
         float animProgress = (float) itemstack.animationsToGo - partialTick;
-        if (animProgress > 0.0F)
-        {
-            GL11.glPushMatrix();
+        if (animProgress > 0.0F) {
+            GLRenderer.pushFrame();
             float f2 = 1.0F + animProgress / 5F;
-            GL11.glTranslatef(x + 8, y + 12, 0.0F);
-            GL11.glScalef(1.0F / f2, (f2 + 1.0F) / 2.0F, 1.0F);
-            GL11.glTranslatef(-(x + 8), -(y + 12), 0.0F);
+            GLRenderer.modelM4f().translate(x + 8, y + 12, 0.0F);
+            GLRenderer.modelM4f().scale(1.0F / f2, (f2 + 1.0F) / 2.0F, 1.0F);
+            GLRenderer.modelM4f().translate(-(x + 8), -(y + 12), 0.0F);
         }
-//        itemModel.renderItemIntoGui(Tessellator.instance, mc.font, mc.textureManager, itemstack, x, y, 1.0f);
-        itemModel.renderGui(Tessellator.instance, null, itemstack, x, y, 1, 1, partialTick);
-        if (animProgress > 0.0F)
-        {
-            GL11.glPopMatrix();
+//        itemModel.renderItemIntoGui(GLRenderer.getTessellator(), mc.font, mc.textureManager, itemstack, x, y, 1.0f);
+        itemModel.renderGui(GLRenderer.getTessellator(), null, itemstack, x, y, LightmapHelper.getLightmapCoord(15, 15), partialTick);
+        if (animProgress > 0.0F) {
+            GLRenderer.popFrame();
         }
-        itemModel.renderItemOverlayIntoGUI(Tessellator.instance, mc.font, mc.textureManager, itemstack, x, y, null, 1.0f);
+        itemModel.renderItemOverlayIntoGUI(GLRenderer.getTessellator(), mc.font, mc.textureManager, itemstack, x, y, null, 1.0f);
     }
 
     private void renderItem(Minecraft mc, ItemStack itemStack, int x, int y) {
         ItemModel itemModel = ItemModelDispatcher.getInstance().getDispatch(itemStack.getItem());
-//        itemModel.renderItemIntoGui(Tessellator.instance, mc.font, mc.textureManager, itemStack, x, y, 1.0f);
-        itemModel.renderGui(Tessellator.instance, null, itemStack, x, y, 1.0f, 1f, 1f);
-        itemModel.renderItemOverlayIntoGUI(Tessellator.instance, mc.font, mc.textureManager, itemStack, x, y, null, 1.0f);
+//        itemModel.renderItemIntoGui(GLRenderer.getTessellator(), mc.font, mc.textureManager, itemStack, x, y, 1.0f);
+        itemModel.renderGui(GLRenderer.getTessellator(), null, itemStack, x, y, LightmapHelper.getLightmapCoord(15, 15), 1f);
+        itemModel.renderItemOverlayIntoGUI(GLRenderer.getTessellator(), mc.font, mc.textureManager, itemStack, x, y, null, 1.0f);
     }
 }
diff --git a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentInfoOverlay.java b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentInfoOverlay.java
index eaad85361..8e0adcd7f 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentInfoOverlay.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentInfoOverlay.java
@@ -5,7 +5,6 @@ import net.minecraft.client.gui.hud.HudIngame;
 import net.minecraft.client.gui.hud.component.layout.Layout;
 import net.minecraft.client.gui.hud.component.layout.LayoutAbsolute;
 import net.minecraft.client.gui.hud.component.layout.LayoutSnap;
-import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.Global;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.item.Items;
@@ -23,8 +22,7 @@ import net.minecraft.core.world.weather.Weathers;
 import static net.minecraft.core.util.helper.Utils.floor10;
 
 public class HudComponentInfoOverlay
-    extends HudComponentMovable
-{
+    extends HudComponentMovable {
     public HudComponentInfoOverlay(String key, Layout layout) {
         super(key, 130, 112, layout);
     }
@@ -40,7 +38,7 @@ public class HudComponentInfoOverlay
             xOffset = mc.font.stringWidth(string) + 2 - this.getXSize();
         }
 
-        mc.font.render(Tessellator.instance, string, x - xOffset, y).setShadow().setColor(argb).call();
+        mc.font.render(string, x - xOffset, y).setShadow().setColor(argb).call();
     }
 
     @Override
@@ -49,8 +47,7 @@ public class HudComponentInfoOverlay
         int y = this.getLayout().getComponentY(this, ySizeScreen);
 
         boolean rightAligned = false;
-        if (this.getLayout() instanceof LayoutAbsolute) {
-            final LayoutAbsolute layout = (LayoutAbsolute) this.getLayout();
+        if (this.getLayout() instanceof LayoutAbsolute layout) {
             final ComponentAnchor anchor = layout.getAnchor();
             if (anchor == ComponentAnchor.TOP_RIGHT || anchor == ComponentAnchor.CENTER_RIGHT || anchor == ComponentAnchor.BOTTOM_RIGHT) {
                 rightAligned = true;
@@ -67,29 +64,21 @@ public class HudComponentInfoOverlay
         boolean compass = false;
         boolean rotaryCalendar = false;
 
-        if (mc.thePlayer.getGamemode() == Gamemode.creative)
-        {
+        if (mc.thePlayer.getGamemode() == Gamemode.creative) {
             clock = true;
             compass = true;
             rotaryCalendar = true;
-        }
-        else
-        {
-            for (int iinv = 0; iinv < mc.thePlayer.inventory.getContainerSize(); iinv++)
-            {
+        } else {
+            for (int iinv = 0; iinv < mc.thePlayer.inventory.getContainerSize(); iinv++) {
                 ItemStack item = mc.thePlayer.inventory.getItem(iinv);
-                if (item != null)
-                {
-                    if (item.itemID == Items.TOOL_CLOCK.id)
-                    {
+                if (item != null) {
+                    if (item.itemID == Items.TOOL_CLOCK.id) {
                         clock = true;
                     }
-                    if (item.itemID == Items.TOOL_COMPASS.id)
-                    {
+                    if (item.itemID == Items.TOOL_COMPASS.id) {
                         compass = true;
                     }
-                    if (item.itemID == Items.TOOL_CALENDAR.id)
-                    {
+                    if (item.itemID == Items.TOOL_CALENDAR.id) {
                         rotaryCalendar = true;
                     }
                 }
@@ -102,79 +91,61 @@ public class HudComponentInfoOverlay
 
         if (mc.gameSettings.versionInOverlay.value) {
             int color;
-            if (mc.gameSettings.overlayMode.value == 2)
-            {
+            if (mc.gameSettings.overlayMode.value == 2) {
                 color = 0xFFFFFF60;
             } else {
                 color = 0xFFFFFFFF;
             }
             drawString("Better than Adventure! " + TextFormatting.WHITE + Global.VERSION, x, y + tsp + lineHeight * line++, color, rightAligned);
         }
-        if (mc.gameSettings.fpsInOverlay.value)
-        {
+        if (mc.gameSettings.fpsInOverlay.value) {
             drawString(mc.lingDebugFPS, x, y + tsp + lineHeight * line++, 0xFFFFFFFF, rightAligned);
         }
-        if (compass)
-        {
-            if (mc.gameSettings.overlayShowCoords.value)
-            {
-                if (mc.gameSettings.overlayMode.value == 0)
-                {
+        if (compass) {
+            if (mc.gameSettings.overlayShowCoords.value) {
+                if (mc.gameSettings.overlayMode.value == 0) {
                     drawString("x: " + floor10(mc.thePlayer.x) + " y: " + floor10(mc.thePlayer.y) + " z: " + floor10(mc.thePlayer.z), x, y + tsp + lineHeight * line++, 0xFFFFFFFF, rightAligned);
                 }
-                if (mc.gameSettings.overlayMode.value == 1)
-                {
-                    drawString( "x: " + floor10(mc.thePlayer.x), x, y + tsp + lineHeight * line++, 0xFFFFFFFF, rightAligned);
-                    drawString( "y: " + floor10(mc.thePlayer.y), x, y + tsp + lineHeight * line++, 0xFFFFFFFF, rightAligned);
-                    drawString( "z: " + floor10(mc.thePlayer.z), x, y + tsp + lineHeight * line++, 0xFFFFFFFF, rightAligned);
+                if (mc.gameSettings.overlayMode.value == 1) {
+                    drawString("x: " + floor10(mc.thePlayer.x), x, y + tsp + lineHeight * line++, 0xFFFFFFFF, rightAligned);
+                    drawString("y: " + floor10(mc.thePlayer.y), x, y + tsp + lineHeight * line++, 0xFFFFFFFF, rightAligned);
+                    drawString("z: " + floor10(mc.thePlayer.z), x, y + tsp + lineHeight * line++, 0xFFFFFFFF, rightAligned);
                 }
-                if (mc.gameSettings.overlayMode.value == 2)
-                {
+                if (mc.gameSettings.overlayMode.value == 2) {
                     drawString("x: " + floor10(mc.thePlayer.x), x, y + tsp + lineHeight * line++, 0xFFFF8080, rightAligned);
                     drawString("y: " + floor10(mc.thePlayer.y), x, y + tsp + lineHeight * line++, 0xFF80FF80, rightAligned);
                     drawString("z: " + floor10(mc.thePlayer.z), x, y + tsp + lineHeight * line++, 0xFF8080FF, rightAligned);
                 }
             }
-            if (mc.gameSettings.overlayShowDirection.value)
-            {
+            if (mc.gameSettings.overlayShowDirection.value) {
                 drawString(I18n.getInstance().translateKey(HudIngame.getFacingDirection(mc.thePlayer).getTranslationKey()), x, y + tsp + lineHeight * line++, 0xFFFFFFFF, rightAligned);
             }
         }
-        if (clock)
-        {
-            if (mc.gameSettings.overlayShowTime.value)
-            {
-                if (mc.gameSettings.overlayMode.value == 0)
-                {
-                    drawString(String.format("%s %s %d", HudIngame.getTimeString(mc), I18n.getInstance().translateKey("unit.day"),mc.currentWorld.getWorldTime() / Global.DAY_LENGTH_TICKS), x, y + tsp + lineHeight * line++, mc.gameSettings.overlayMode.value == 2 ? 0xFFFFFF80 : 0xFFFFFFFF, rightAligned);
+        if (clock) {
+            if (mc.gameSettings.overlayShowTime.value) {
+                if (mc.gameSettings.overlayMode.value == 0) {
+                    drawString(String.format("%s %s %d", HudIngame.getTimeString(mc), I18n.getInstance().translateKey("unit.day"), mc.currentWorld.getWorldTime() / Global.DAY_LENGTH_TICKS), x, y + tsp + lineHeight * line++, mc.gameSettings.overlayMode.value == 2 ? 0xFFFFFF80 : 0xFFFFFFFF, rightAligned);
                 }
-                if (mc.gameSettings.overlayMode.value > 0)
-                {
+                if (mc.gameSettings.overlayMode.value > 0) {
                     drawString(HudIngame.getTimeString(mc), x, y + tsp + lineHeight * line++, mc.gameSettings.overlayMode.value == 2 ? 0xFFFFFF80 : 0xFFFFFFFF, rightAligned);
                     drawString(String.format("%s %d", I18n.getInstance().translateKey("unit.day"), mc.currentWorld.getWorldTime() / Global.DAY_LENGTH_TICKS), x, y + tsp + lineHeight * line++, mc.gameSettings.overlayMode.value == 2 ? 0xFFFFFF80 : 0xFFFFFFFF, rightAligned);
                 }
             }
         }
-        if (rotaryCalendar)
-        {
-            if (mc.gameSettings.overlayShowSeason.value)
-            {
+        if (rotaryCalendar) {
+            if (mc.gameSettings.overlayShowSeason.value) {
                 Season season = mc.currentWorld.getSeasonManager().getCurrentSeason();
-                if (season != null)
-                {
+                if (season != null) {
                     drawString(season.getTranslatedName(), x, y + tsp + lineHeight * line++, mc.gameSettings.overlayMode.value == 2 ? 0xFF80FFFF : 0xFFFFFFFF, rightAligned);
                 }
             }
-            if (mc.gameSettings.overlayShowWeather.value)
-            {
+            if (mc.gameSettings.overlayShowWeather.value) {
                 Weather weather = mc.currentWorld.getCurrentWeather();
-                if (weather != null && weather != mc.currentWorld.worldType.getDefaultWeather())
-                {
+                if (weather != null && weather != mc.currentWorld.worldType.getDefaultWeather()) {
                     drawString(I18n.getInstance().translateKey(weather.getNameLanguageKey()), x, y + tsp + lineHeight * line++, mc.gameSettings.overlayMode.value == 2 ? 0xFFFF80FF : 0xFFFFFFFF, rightAligned);
                 }
             }
-            if(mc.gameSettings.overlayShowBiome.value)
-            {
+            if (mc.gameSettings.overlayShowBiome.value) {
                 int blockX = MathHelper.floor(mc.thePlayer.x);
                 int blockY = MathHelper.floor(mc.thePlayer.y);
                 int blockZ = MathHelper.floor(mc.thePlayer.z);
@@ -217,18 +188,15 @@ public class HudComponentInfoOverlay
                 final double py = 64.355;
                 final double pz = 38472.333;
 
-                if (mc.gameSettings.overlayMode.value == 0)
-                {
+                if (mc.gameSettings.overlayMode.value == 0) {
                     drawString("x: " + floor10(px) + " y: " + floor10(py) + " z: " + floor10(pz), x, y + tsp + lineHeight * line++, 0xFFFFFFFF, rightAligned);
                 }
-                if (mc.gameSettings.overlayMode.value == 1)
-                {
+                if (mc.gameSettings.overlayMode.value == 1) {
                     drawString("x: " + floor10(px), x, y + tsp + lineHeight * line++, 0xFFFFFFFF, rightAligned);
                     drawString("y: " + floor10(py), x, y + tsp + lineHeight * line++, 0xFFFFFFFF, rightAligned);
                     drawString("z: " + floor10(pz), x, y + tsp + lineHeight * line++, 0xFFFFFFFF, rightAligned);
                 }
-                if (mc.gameSettings.overlayMode.value == 2)
-                {
+                if (mc.gameSettings.overlayMode.value == 2) {
                     drawString("x: " + floor10(px), x, y + tsp + lineHeight * line++, 0xFFFF8080, rightAligned);
                     drawString("y: " + floor10(py), x, y + tsp + lineHeight * line++, 0xFF80FF80, rightAligned);
                     drawString("z: " + floor10(pz), x, y + tsp + lineHeight * line++, 0xFF8080FF, rightAligned);
@@ -240,12 +208,10 @@ public class HudComponentInfoOverlay
         }
         {
             {
-                if (mc.gameSettings.overlayMode.value == 0)
-                {
+                if (mc.gameSettings.overlayMode.value == 0) {
                     drawString(String.format("%s %s %d", "8:32", I18n.getInstance().translateKey("unit.day"), 500), x, y + tsp + lineHeight * line++, mc.gameSettings.overlayMode.value == 2 ? 0xFFFFFF80 : 0xFFFFFFFF, rightAligned);
                 }
-                if (mc.gameSettings.overlayMode.value > 0)
-                {
+                if (mc.gameSettings.overlayMode.value > 0) {
                     drawString("8:32", x, y + tsp + lineHeight * line++, mc.gameSettings.overlayMode.value == 2 ? 0xFFFFFF80 : 0xFFFFFFFF, rightAligned);
                     drawString(String.format("%s %d", I18n.getInstance().translateKey("unit.day"), 500), x, y + tsp + lineHeight * line++, mc.gameSettings.overlayMode.value == 2 ? 0xFFFFFF80 : 0xFFFFFFFF, rightAligned);
                 }
